Summary: Web content management system using Perl and Embperl
Name: ewok
Version: 0.5.2
Release: 1.of
Copyright: GPL
Group: Applications/Internet
Source: http://www.openfusion.com.au/labs/dist/%{name}-%{version}.tar.gz
URL: http://www.openfusion.com.au/labs/ewok/
Packager: Gavin Carr <gavin@openfusion.com.au>
Buildroot: %_tmppath/%{name}-%{version}
Requires: perl
BuildRequires: perl
AutoReq: no

%description
ewok is a full-featured web content management system (CMS) written in Perl
(Embperl). It attempts to make web content creation easy for non-technical
users, while still providing web gurus with all the flexibility and power
required to create real websites.

%prep
%setup

%build
./configure --prefix=/var/www/ewok --apache_confdir=/etc/httpd/conf.d
make

%install
test "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/var/www/ewok/{README,README.etc,INSTALL,CHANGES,COPYING,TODO}

%files
%defattr(-,apache,apache)
%config /etc/httpd
%config /var/www/ewok/etc
%config /var/www/ewok/htdocs/authz.map
%config /var/www/ewok/htdocs/sites.map
%config /var/www/ewok/htdocs/metadata.map
%config /var/www/ewok/htdocs/admin/.htaccess
%config /var/www/ewok/htdocs/admin/authz.map
/var/www/ewok/var
/var/www/ewok/stage
/var/www/ewok/publish
/var/www/ewok/VERSION
/var/www/ewok/htdocs/admin/*.html
/var/www/ewok/htdocs/admin/.meta
/var/www/ewok/htdocs/admin/.dir.meta
/var/www/ewok/htdocs/css
/var/www/ewok/htdocs/doc
/var/www/ewok/htdocs/images
/var/www/ewok/htdocs/pub
/var/www/ewok/htdocs/templates
/var/www/ewok/htdocs/test
/var/www/ewok/htdocs/.meta
/var/www/ewok/htdocs/.dir.meta
/var/www/ewok/htdocs/*.html
/var/www/ewok/htdocs/*.epl
/var/www/ewok/htdocs/*.css
/var/www/ewok/htdocs/*.dist
/var/www/ewok/lib
/var/www/ewok/sample
/var/www/ewok/dist
/var/www/ewok/t
%doc README README.etc INSTALL CHANGES COPYING TODO

%changelog

* Tue Mar 23 2005 Gavin Carr <gavin@openfusion.com.au>

- update to version 0.5.2

* Tue Feb 01 2005 Gavin Carr <gavin@openfusion.com.au>

- add this spec file, installing to /var/www/ewok
- tweak ewok template handling to use doctypes from templates if not defined in html
- version 0.5.1

